# Sample parameters estimation


## Sample parameters estimation

Once the points are sampled,  
how to estimate their median, mode and FWHM?

. . .

- Binning data $\hence$ result depending on bin-width

. . .

- Alternative solutions


## Sample median

$$
  m = Q \left( \frac{1}{2} \right)
$$

. . .

- Sort points in ascending order

. . .

- Middle element if odd
- Average of the two central elements if even


## Sample mode

Most probable value

. . .

HSM

- Iteratively identify the smallest interval containing half points
- Once the sample is reduced to less than three points, take average


## Sample FWHM

$$
  \text{FWHM} = x_+ - x_- \with L(x_{\pm}) = \frac{L_{\text{max}}}{2}
$$

. . .

KDE

- empirical PDF construction:

$$
  f_\varepsilon(x) = \frac{1}{N\varepsilon} \sum_{i = 1}^N
  G \left( \frac{x-x_i}{\varepsilon} \right)
$$

The parameter $\varepsilon$ controls the strength of the smoothing


## Sample FWHM

Silverman's rule of thumb:

$$
  f_\varepsilon(x) = \frac{1}{N\varepsilon} \sum_{i = 1}^N
  G \left( \frac{x-x_i}{\varepsilon} \right)
  \with
  \varepsilon = 0.88 \, S_N
  \left( \frac{d + 2}{4}N \right)^{-1/(d + 4)}
$$

with:

- $S_N$ is the sample standard deviation
- $d$ is number of dimensions ($d = 1$)

. . .

\vspace{10pt}

Numerical root finding (Brent)


## Sample FWHM

![](images/kde.pdf)
